View Issue Details

IDProjectCategoryView StatusLast Update
0002484SymmetricDSBugpublic2016-02-12 13:26
Reporterwoehrl01Assigned Toelong 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002484: Failed to route and batch on channel (latest changes)
DescriptionSince the last changes from issue 0002478 I always get the error, that issue tries so solve.

After reverting the changeset:
https://github.com/JumpMind/symmetric-ds/commit/e965eaeae59d960c88227b6e9bfc61b12a51b0e7

the server doesn't block anymore.

It timeouts e.g. for "config" and "dynamic" channels.

I have a single entry in the datagap table.
Additional Information"Corp"-Instance with MSSqlServer 2012
TagsNo tags attached.

Activities

elong

2016-01-28 19:15

developer   ~0000754

We've been running into the same issue while testing 3.7.29. I'm thinking 0002478 needs more modification, or just backed out completely. I'll look at it a little closer tomorrow.

woehrl01

2016-01-29 03:24

reporter   ~0000755

I'm not 100% sure how this queue thing should work. But at my first glance: "reading" isn't volatile maybe this could be one of the issue.

elong

2016-01-29 11:23

developer   ~0000756

Thanks, I agree with volatile. We also added a break for the consuming thread to leave its loop. I haven't see the "failed to route" message for a while. We're hoping this fixes it.

Issue History

Date Modified Username Field Change
2016-01-28 11:44 woehrl01 New Issue
2016-01-28 19:15 elong Note Added: 0000754
2016-01-29 03:24 woehrl01 Note Added: 0000755
2016-01-29 11:21 elong Assigned To => elong
2016-01-29 11:21 elong Status new => assigned
2016-01-29 11:23 elong Note Added: 0000756
2016-01-29 11:23 elong Status assigned => resolved
2016-01-29 11:23 elong Resolution open => fixed
2016-01-29 11:23 elong Fixed in Version => 3.7.29
2016-01-29 11:23 elong Target Version => 3.7.29
2016-02-12 13:26 chenson Status resolved => closed